Skip to content

Network links

DELETE /sympheny-app/scenarios/{scenarioGuid}/network-links/{network-link-guid}

Requires a Bearer token. SDK method: client.network_links.delete().

Parameters

Name In Type Required Description
scenarioGuid path string yes
network-link-guid path string yes

Example request

curl -X DELETE "https://eu-north-1-api.sympheny.com/sympheny-app/scenarios/{scenarioGuid}/network-links/{network-link-guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoNetworkLinkListResponseDto

Example response (200)

{
  "data": {
    "networkLinks": [
      {
        "networkLinkGuid": "string",
        "length": 0.0,
        "technologyCapacity": "optimize",
        "installedCapacity": 0.0,
        "uniDirectionalFlow": true,
        "mustBeInstalled": true,
        "node1Guid": "string",
        "node1Name": "string",
        "node2Guid": "string",
        "node2Name": "string",
        "networkTechnologyName": "string",
        "networkTechnologyGuid": "string",
        "costComponents": [
          {
            "name": "string",
            "value": 0.0,
            "category": "string",
            "lifetime": 0.0,
            "interestRate": 0.0,
            "length": 0.0,
            "complexityFactor": 0.0,
            "dataPoints": 0.0,
            "numberOfPumps": 0.0,
            "guid": "string",
            "categoryId": "string"
          }
        ],
        "created": "2026-01-01T00:00:00Z",
        "updated": "2026-01-01T00:00:00Z"
      }
    ]
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Get network link details v2

GET /sympheny-app/v2/network-links/{network-link-guid}

Requires a Bearer token. SDK method: client.network_links.get().

Parameters

Name In Type Required Description
network-link-guid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/v2/network-links/{network-link-guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoNetworkLinkResponseDtoV2

Example response (200)

{
  "data": {
    "installedCapacity": 0.0,
    "maximumCapacity": 0.0,
    "networkLinkGuid": "string",
    "name": "string",
    "length": 0.0,
    "technologyCapacity": "optimize",
    "uniDirectionalFlow": true,
    "mustBeInstalled": true,
    "node1Guid": "string",
    "node1Name": "string",
    "node2Guid": "string",
    "node2Name": "string",
    "networkTechnologyName": "string",
    "networkTechnologyGuid": "string",
    "costComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "minimumCapacity": 0.0,
    "networkLoss": 0.0,
    "networkLossProfileId": 0
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Get all network links by scenario v2

GET /sympheny-app/v2/scenarios/{scenarioGuid}/network-links

Requires a Bearer token. SDK method: client.network_links.list().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Example request

curl -X GET "https://eu-north-1-api.sympheny.com/sympheny-app/v2/scenarios/{scenarioGuid}/network-links" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN"

Responses

Status Description Schema
200 OK ResponseDtoListNetworkLinkResponseDtoV2

Example response (200)

{
  "data": [
    {
      "installedCapacity": 0.0,
      "maximumCapacity": 0.0,
      "networkLinkGuid": "string",
      "name": "string",
      "length": 0.0,
      "technologyCapacity": "optimize",
      "uniDirectionalFlow": true,
      "mustBeInstalled": true,
      "node1Guid": "string",
      "node1Name": "string",
      "node2Guid": "string",
      "node2Name": "string",
      "networkTechnologyName": "string",
      "networkTechnologyGuid": "string",
      "costComponents": [
        {
          "name": "string",
          "value": 0.0,
          "category": "string",
          "lifetime": 0.0,
          "interestRate": 0.0,
          "length": 0.0,
          "complexityFactor": 0.0,
          "dataPoints": 0.0,
          "numberOfPumps": 0.0,
          "guid": "string",
          "categoryId": "string"
        }
      ],
      "created": "2026-01-01T00:00:00Z",
      "updated": "2026-01-01T00:00:00Z",
      "minimumCapacity": 0.0,
      "networkLoss": 0.0,
      "networkLossProfileId": 0
    }
  ],
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Specify network link v2 1

POST /sympheny-app/v2_1/scenarios/{scenarioGuid}/network-links

Requires a Bearer token. SDK method: client.network_links.create().

Parameters

Name In Type Required Description
scenarioGuid path string yes

Request body (NetworkLinkRequestDtoV2)

Field Type Required Description
installedCapacity number, nullable no
maximumCapacity number, nullable no
name string yes
length number yes
technologyCapacity string yes One of: optimize, specify.
uniDirectionalFlow boolean yes
mustBeInstalled boolean yes
node1Guid string yes
node2Guid string yes
networkTechnologyGuid string yes
costComponents array of AdvancedCostComponentRequestDto, nullable no
minimumCapacity number, nullable no
networkLoss number yes
networkLossProfileId integer (int64), nullable no

Example request

curl -X POST "https://eu-north-1-api.sympheny.com/sympheny-app/v2_1/scenarios/{scenarioGuid}/network-links" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "installedCapacity": 0.0,
  "maximumCapacity": 0.0,
  "name": "string",
  "length": 0.0,
  "technologyCapacity": "optimize",
  "uniDirectionalFlow": true,
  "mustBeInstalled": true,
  "node1Guid": "string",
  "node2Guid": "string",
  "networkTechnologyGuid": "string",
  "costComponents": [
    {
      "name": "string",
      "value": 0.0,
      "category": "string",
      "lifetime": 0.0,
      "interestRate": 0.0,
      "length": 0.0,
      "complexityFactor": 0.0,
      "dataPoints": 0.0,
      "numberOfPumps": 0.0
    }
  ],
  "minimumCapacity": 0.0,
  "networkLoss": 0.0,
  "networkLossProfileId": 0
}'

Responses

Status Description Schema
201 Created ResponseDtoNetworkLinkResponseDtoV2

Example response (201)

{
  "data": {
    "installedCapacity": 0.0,
    "maximumCapacity": 0.0,
    "networkLinkGuid": "string",
    "name": "string",
    "length": 0.0,
    "technologyCapacity": "optimize",
    "uniDirectionalFlow": true,
    "mustBeInstalled": true,
    "node1Guid": "string",
    "node1Name": "string",
    "node2Guid": "string",
    "node2Name": "string",
    "networkTechnologyName": "string",
    "networkTechnologyGuid": "string",
    "costComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "minimumCapacity": 0.0,
    "networkLoss": 0.0,
    "networkLossProfileId": 0
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}

Update network link v2 2

PUT /sympheny-app/v2_2/scenarios/{scenarioGuid}/network-links/{network-link-guid}

Requires a Bearer token. SDK method: client.network_links.update().

Parameters

Name In Type Required Description
scenarioGuid path string yes
network-link-guid path string yes

Request body (NetworkLinkResponseDtoV2)

Field Type Required Description
installedCapacity number, nullable no
maximumCapacity number, nullable no
networkLinkGuid string, nullable no
name string yes
length number yes
technologyCapacity string yes One of: optimize, specify.
uniDirectionalFlow boolean yes
mustBeInstalled boolean yes
node1Guid string yes
node1Name string yes
node2Guid string yes
node2Name string yes
networkTechnologyName string yes
networkTechnologyGuid string yes
costComponents array of AdvancedCostComponentResponseDto yes
created string (date-time), nullable no
updated string (date-time), nullable no
minimumCapacity number, nullable no
networkLoss number yes
networkLossProfileId integer (int64), nullable no

Example request

curl -X PUT "https://eu-north-1-api.sympheny.com/sympheny-app/v2_2/scenarios/{scenarioGuid}/network-links/{network-link-guid}" \
  -H "Authorization: Bearer $SYMPHENY_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "installedCapacity": 0.0,
  "maximumCapacity": 0.0,
  "networkLinkGuid": "string",
  "name": "string",
  "length": 0.0,
  "technologyCapacity": "optimize",
  "uniDirectionalFlow": true,
  "mustBeInstalled": true,
  "node1Guid": "string",
  "node1Name": "string",
  "node2Guid": "string",
  "node2Name": "string",
  "networkTechnologyName": "string",
  "networkTechnologyGuid": "string",
  "costComponents": [
    {
      "name": "string",
      "value": 0.0,
      "category": "string",
      "lifetime": 0.0,
      "interestRate": 0.0,
      "length": 0.0,
      "complexityFactor": 0.0,
      "dataPoints": 0.0,
      "numberOfPumps": 0.0,
      "guid": "string",
      "categoryId": "string"
    }
  ],
  "created": "2026-01-01T00:00:00Z",
  "updated": "2026-01-01T00:00:00Z",
  "minimumCapacity": 0.0,
  "networkLoss": 0.0,
  "networkLossProfileId": 0
}'

Responses

Status Description Schema
200 OK ResponseDtoNetworkLinkResponseDtoV2

Example response (200)

{
  "data": {
    "installedCapacity": 0.0,
    "maximumCapacity": 0.0,
    "networkLinkGuid": "string",
    "name": "string",
    "length": 0.0,
    "technologyCapacity": "optimize",
    "uniDirectionalFlow": true,
    "mustBeInstalled": true,
    "node1Guid": "string",
    "node1Name": "string",
    "node2Guid": "string",
    "node2Name": "string",
    "networkTechnologyName": "string",
    "networkTechnologyGuid": "string",
    "costComponents": [
      {
        "name": "string",
        "value": 0.0,
        "category": "string",
        "lifetime": 0.0,
        "interestRate": 0.0,
        "length": 0.0,
        "complexityFactor": 0.0,
        "dataPoints": 0.0,
        "numberOfPumps": 0.0,
        "guid": "string",
        "categoryId": "string"
      }
    ],
    "created": "2026-01-01T00:00:00Z",
    "updated": "2026-01-01T00:00:00Z",
    "minimumCapacity": 0.0,
    "networkLoss": 0.0,
    "networkLossProfileId": 0
  },
  "status": {
    "code": "string",
    "desc": "string",
    "message": "string"
  }
}